﻿using System;
using Karpach.Samples.AnimalFabric.DefaultFactories;
using Karpach.Samples.AnimalFabric.Interfaces;

namespace Karpach.Samples.AnimalFabric.UI
{
    class Program
    {
        static void Main(string[] args)
        {
            IDog dog = DefaultFactory.Create<IDog>();
            ICat cat = DefaultFactory.Create<ICat>();
            Console.WriteLine(dog.Bark());
            Console.WriteLine(dog.Sit());
            Console.WriteLine(cat.Meow());
            Console.ReadKey();
        }
    }
}
